from playwright.sync_api import Playwright, sync_playwright, expect

import re
import json
import datetime
import crawler

#爬虫启动
def CrawlerBaidu():
    with sync_playwright() as playwright:
        GetBaiduCompany(playwright)

#爬取百度的数据
def GetBaiduCompany(playwright: Playwright) -> None:
    browser = playwright.chromium.launch(headless=False)
    context = browser.new_context(viewport={"width": 800, "height": 600})
    page = context.new_page()
    #获取需要爬取数据的公司
    name,url = crawler.GetCompany(1)
    if url!="":
        page.goto(url)
        all = page.locator(".lemma-summary").all_text_contents()
        intro = re.sub(r'\[[\d-]+\]', '', str(all))
        name2 = crawler.SaveCompanyData(name,1,intro)
        if name2 != "" and intro != None:
            crawler.Log(name2+":写入成功")
        else:
            crawler.Log(name2 + ":写入失败")

        # ---------------------
        context.close()
        browser.close()

