import crawler
import requests
from playwright.sync_api import Playwright, sync_playwright
import json


def spider_company(page):
    company_nameO, url = crawler.GetCompany(2)
    page.goto(url)
    page.wait_for_timeout(3000)
    page.wait_for_selector(".input-wrap-text")
    company_detail_el = page.locator('div.company-card-wrapper a')
    company_detail_el_count = company_detail_el.count()
    print("company_detail_el.count():", company_detail_el_count)
    my_obj = {'intro': ""}
    if company_detail_el_count > 0:
        company_detail_el.first.click()
        page.wait_for_timeout(1000)
        page.wait_for_selector("div.info h1.name")
        company_name = page.locator("div.info h1.name").first.inner_text()
        company_intro_el = page.locator("div.job-sec > div.fold-text")
        if company_intro_el.count() > 0:
            company_intro = company_intro_el.first.inner_text()
            if company_name in company_nameO:
                my_obj['intro'] = company_intro

            if company_nameO in company_name:
                my_obj['intro'] = company_intro

            print('company_name', company_name)
            print('company_intro', company_intro)
    name2 = crawler.SaveCompanyData(company_nameO, 1, json.dumps(my_obj))

def GetBossCompany(p: Playwright) -> None:
    browser = p.chromium.launch(headless=True)
    context = browser.new_context(viewport={"width": 800, "height": 600})
    js = """
    Object.defineProperties(navigator, {webdriver:{get:()=>undefined}});
    """
    page = context.new_page()
    page.add_init_script(js)
    spider_company(page)

    context.close()
    browser.close()

#爬虫启动
def CrawlerBoss():
    with sync_playwright() as playwright:
        GetBossCompany(playwright)

